Skip to main content
PUT
/
events
/
{eventId}
/
reminders
/
{reminderId}
Update a reminder for an event
curl --request PUT \
  --url https://api.smokeball.com/events/{eventId}/reminders/{reminderId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json-patch+json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "offset": 123,
  "offsetTypeId": 123,
  "isAllDayReminder": true,
  "userIds": [
    "<string>"
  ]
}
'
{
  "id": "<string>",
  "href": "<string>",
  "relation": "<string>",
  "method": "GET"
}

Documentation Index

Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

eventId
string
required
reminderId
string
required

Body

offset
integer<int32>
offsetTypeId
integer<int32>
isAllDayReminder
boolean
userIds
string[] | null

Response

When request is accepted. Returns a 'Link' object.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET